Bug 455982 - Network Manager fails to start (haldaemon also not starting)
Network Manager fails to start (haldaemon also not starting)
Status: CLOSED DUPLICATE of bug 461115
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
i586 Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
: 460235 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-19 14:52 EDT by Richard
Modified: 2008-11-28 09:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-28 09:27:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Yum Log (48.84 KB, text/plain)
2008-07-19 14:52 EDT, Richard
no flags Details

  None (edit)
Description Richard 2008-07-19 14:52:09 EDT
Background
Did new install of F9 to notebook previously running FC4. Do not like Gnome 
and found KDE4 to be a shambles - seems to be only 40% complete - so tried 
F8-live. This worked perfectly even recognising and configuring my wifi PCMCIA 
card (RaLink RT2561). So installed to disk over F9. It still worked perfectly 
so ran 'yum update' . Copy of Yum.Log attached.

Description of problem:
From then 2 problems, Sound card not detected (not a big problem) and Network 
Manager fails with an exception. Network Manager Crash dump below:

---
[root@millie ~]# cat scn_bug.txt
Component: system-config-network
Version: 1.5.10
Summary: TB0b398516 connection.py:603:call_blocking:DBusException: 
org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was 
not provided by any .service files

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 277, in <module>
    plist = getProfileList()
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 
651, in getProfileList
    __PFList.load()
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 
88, in load
    self.loadprof(pr, profdir)
  File "/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 
101, in loadprof
    devicelist = NCDeviceList.getDeviceList()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 
318, in getDeviceList
    __DVList.load()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 78, 
in load
    hwlist = NCHardwareList.getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 
759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 
603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 
483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 
447, in updateFromHal
    hal = NCBackendHal.NCBackendHal()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 31, 
in __init__
    self.halManagerObj = 
self._dbusBus.get_object("org.freedesktop.Hal", "/org/freedesktop/Hal/Manager")
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 240, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 236, in 
__init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 179, in 
activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 277, in 
start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 603, in 
call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name 
org.freedesktop.Hal was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x8fea83c>
args: ('org.freedesktop.Hal', 0)
utf8_strings: False
bus_name: org.freedesktop.DBus
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: /org/freedesktop/DBus
timeout: -1.0
signature: su
dbus_interface: org.freedesktop.DBus
message: <dbus.lowlevel.MethodCallMessage object at 0xb7edf110>
method: StartServiceByName
---

lspci shows card to be recognised:

---
02:06.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller 
(rev 02)
02:07.0 Ethernet controller: Realtek Semiconductor Co., Ltd. 
RTL-8139/8139C/8139C+ (rev 10)
02:0a.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21 IEEE-1394a-2000 
Controller (PHY/Link)
03:00.0 Network controller: RaLink RT2561/RT61 802.11g PCI
---

Have checked the startup order and it looks OK:

---
[root@millie rc5.d]# ls -latr *mess* *hald* *udev* *acpi* *Consol* *ntpd* 
*NetworkM* *syslog* *yum* *blue*
lrwxrwxrwx 1 root root 15 2008-07-19 14:35 S44acpid -> ../init.d/acpid
lrwxrwxrwx 1 root root 19 2008-07-19 14:36 S26udev-post -> ../init.d/udev-post
lrwxrwxrwx 1 root root 20 2008-07-19 14:36 
S90ConsoleKit -> ../init.d/ConsoleKit
lrwxrwxrwx 1 root root 14 2008-07-19 14:39 S58ntpd -> ../init.d/ntpd
lrwxrwxrwx 1 root root 22 2008-07-19 14:51 
S97yum-updatesd -> ../init.d/yum-updatesd
lrwxrwxrwx 1 root root 24 2008-07-19 18:15 
S99NetworkManager -> ../init.d/NetworkManager
lrwxrwxrwx 1 root root 19 2008-07-19 18:15 S50bluetooth -> ../init.d/bluetooth
lrwxrwxrwx 1 root root 20 2008-07-19 18:15 
S27messagebus -> ../init.d/messagebus
lrwxrwxrwx 1 root root 17 2008-07-19 18:15 S26rsyslog -> ../init.d/rsyslog
lrwxrwxrwx 1 root root 19 2008-07-19 18:15 S98haldaemon -> ../init.d/haldaemon
[root@millie rc5.d]#
---

Or at least messagebus starts before haldaemon which starts before 
NetworkManager

I cannot start haldaemon manually.


Version-Release number of selected component (if applicable):
Kernel: 2.6.25.20-47.fc8
hal: 0.5.10-3.fc8.i386
system-config-network: 1.5.10-1.fc8.noarch

How reproducible:
All the time

Steps to Reproduce:
1.install f8-live
2.yum update
3.system-config-network.tui 
  
Actual result
See crash report
Comment 1 Richard 2008-07-19 14:52:09 EDT
Created attachment 312207 [details]
Yum Log
Comment 2 Jack Feefofe 2008-07-23 15:57:00 EDT
I have a similar problem.  HAL is not starting up.  Devices are not being
recognized (sound card/speakers, etc.)  system-config-network also does not
start with this bug report (similar to the on above):

Component: system-config-network
Version: 1.5.10
Summary: TB0b398516 connection.py:603:call_blocking:DBusException:
org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not
provided by any .service files

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in runit
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
275, in __init__
    self.load()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
299, in load
    self.loadDevices()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
307, in loadDevices
    devicelist = getDeviceList()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 318,
in getDeviceList
    __DVList.load()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 78,
in load
    hwlist = NCHardwareList.getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
447, in updateFromHal
    hal = NCBackendHal.NCBackendHal()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 31,
in __init__
    self.halManagerObj = self._dbusBus.get_object("org.freedesktop.Hal",
"/org/freedesktop/Hal/Manager")
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 240, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 236, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 179, in
activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 277, in
start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 603, in
call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name
org.freedesktop.Hal was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x86fdd1c>
args: ('org.freedesktop.Hal', 0)
utf8_strings: False
bus_name: org.freedesktop.DBus
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: /org/freedesktop/DBus
timeout: -1.0
signature: su
dbus_interface: org.freedesktop.DBus
message: <dbus.lowlevel.MethodCallMessage object at 0x86504f0>
method: StartServiceByName



I am running F8.  This just started happening after I did a yum update.  Here
are the packages that were updated (four HAL related packages in the first ten
items):

Jul 23 12:50:10 Updated: kernel-headers - 2.6.25.10-47.fc8.i386
Jul 23 12:50:49 Installed: kernel-devel - 2.6.25.10-47.fc8.i686
Jul 23 12:50:51 Updated: hal-libs - 0.5.10-3.fc8.i386
Jul 23 12:51:31 Installed: kernel - 2.6.25.10-47.fc8.i686
Jul 23 12:51:42 Updated: hal - 0.5.10-3.fc8.i386
Jul 23 12:51:44 Updated: hal-info - 20080607-2.fc8.noarch
Jul 23 12:51:45 Updated: hal-devel - 0.5.10-3.fc8.i386
Jul 23 12:52:05 Erased: kmod-fglrx-2.6.24.7-92.fc8
Jul 23 13:24:13 Updated: libdhcp6client - 0.10-52.fc8.i386
Jul 23 13:24:15 Updated: dhcpv6-client - 0.10-52.fc8.i386
Jul 23 13:24:28 Installed: kmod-madwifi-2.6.25.10-47.fc8 - 0.9.4-13.lvn8.i686
Jul 23 13:24:29 Updated: kmod-madwifi - 0.9.4-13.lvn8.i686
Jul 23 13:37:47 Updated: NetworkManager-glib - 1:0.7.0-0.6.9.svn3675.fc8.i386
Jul 23 13:37:53 Updated: NetworkManager - 1:0.7.0-0.6.9.svn3675.fc8.i386
Jul 23 13:37:59 Updated: NetworkManager-gnome - 1:0.7.0-0.6.9.svn3675.fc8.i386
Jul 23 13:38:24 Updated: python - 2.5.1-26.fc8.2.i386
Jul 23 13:38:26 Updated: python-libs - 2.5.1-26.fc8.2.i386
Jul 23 13:38:30 Updated: python-devel - 2.5.1-26.fc8.2.i386
Jul 23 13:38:33 Updated: python-paste - 1.6-1.fc8.noarch
Jul 23 13:38:37 Updated: python-genshi - 0.5-1.fc8.i386
Jul 23 13:38:39 Updated: python-setuptools - 0.6c8-1.fc8.noarch
Jul 23 13:38:39 Updated: python-urlgrabber - 3.0.0-9.fc8.noarch
Jul 23 13:59:14 Updated: glib2 - 2.14.6-2.fc8.i386
Jul 23 13:59:15 Updated: nspr - 4.7.1-0.8.1.fc8.i386
Jul 23 13:59:28 Updated: nss - 3.12.0.3-0.8.2.fc8.i386
Jul 23 13:59:29 Updated: popt - 1.13-4.fc8.i386
Jul 23 13:59:30 Updated: freetype - 2.3.5-4.fc8.i386
Jul 23 13:59:32 Updated: alsa-lib - 1.0.16-3.fc8.i386
Jul 23 13:59:54 Updated: wine-core - 1.0-1.fc8.i386
Jul 23 13:59:55 Updated: db4 - 4.6.21-2.fc8.i386
Jul 23 13:59:56 Updated: gnutls - 1.6.3-4.fc8.i386
Jul 23 13:59:57 Updated: info - 4.11-5.fc8.i386
Jul 23 13:59:59 Updated: curl - 7.18.2-1.fc8.i386
Jul 23 14:00:00 Updated: openldap - 2.3.39-4.fc8.i386
Jul 23 14:00:08 Updated: evolution-data-server - 1.12.3-6.fc8.i386
Jul 23 14:00:24 Updated: libpurple - 2.4.3-1.fc8.i386
Jul 23 14:00:25 Updated: php-common - 5.2.6-2.fc8.i386
Jul 23 14:00:27 Updated: pcre - 7.3-4.fc8.i386
Jul 23 14:00:29 Updated: db4-cxx - 4.6.21-2.fc8.i386
Jul 23 14:00:31 Updated: cups-libs - 1:1.3.7-4.fc8.i386
Jul 23 14:00:32 Updated: gd - 2.0.35-3.fc8.i386
Jul 23 14:00:34 Updated: gimp-libs - 2:2.4.6-1.fc8.i386
Jul 23 14:00:35 Updated: libgtop2 - 2.20.2-1.fc8.i386
Jul 23 14:00:37 Updated: bind-libs - 32:9.5.0-28.P1.fc8.i386
Jul 23 14:00:38 Updated: libsysfs - 2.1.0-4.fc8.i386
Jul 23 14:00:39 Updated: beecrypt - 4.1.2-17.fc8.i386
Jul 23 14:00:40 Updated: php-pdo - 5.2.6-2.fc8.i386
Jul 23 14:00:41 Updated: php-cli - 5.2.6-2.fc8.i386
Jul 23 14:00:42 Updated: php - 5.2.6-2.fc8.i386
Jul 23 14:00:43 Updated: wine-ldap - 1.0-1.fc8.i386
Jul 23 14:00:45 Updated: libcdio - 0.78.2-5.fc8.i386
Jul 23 14:00:48 Updated: texinfo - 4.11-5.fc8.i386
Jul 23 14:00:48 Updated: wine-nas - 1.0-1.fc8.i386
Jul 23 14:00:48 Updated: wine-esd - 1.0-1.fc8.i386
Jul 23 14:00:49 Updated: wine-jack - 1.0-1.fc8.i386
Jul 23 14:00:49 Updated: wine-capi - 1.0-1.fc8.i386
Jul 23 14:00:50 Updated: wine-twain - 1.0-1.fc8.i386
Jul 23 14:00:51 Updated: nss_compat_ossl - 0.9.2-4.fc8.i386
Jul 23 14:00:52 Updated: openobex - 1.3-12.fc8.i386
Jul 23 14:00:52 Installed: libmcpp - 2.7.1-1.fc8.i386
Jul 23 14:01:00 Updated: ice - 3.3.0-3.fc8.i386
Jul 23 14:01:03 Updated: libraw1394 - 1.3.0-7.fc8.i386
Jul 23 14:01:04 Updated: wavpack - 4.50-1.fc8.i386
Jul 23 14:01:08 Updated: iptables - 1.4.1.1-1.fc8.i386
Jul 23 14:01:09 Updated: iptables-ipv6 - 1.4.1.1-1.fc8.i386
Jul 23 14:01:10 Updated: ice-php - 3.3.0-3.fc8.i386
Jul 23 14:01:10 Updated: texinfo-tex - 4.11-5.fc8.i386
Jul 23 14:01:11 Updated: php-mysql - 5.2.6-2.fc8.i386
Jul 23 14:01:14 Updated: bind-utils - 32:9.5.0-28.P1.fc8.i386
Jul 23 14:01:15 Updated: php-ldap - 5.2.6-2.fc8.i386
Jul 23 14:01:58 Updated: pidgin - 2.4.3-1.fc8.i386
Jul 23 14:02:17 Updated: nautilus-sendto - 1.0.0-1.fc8.i386
Jul 23 14:02:23 Updated: grub - 0.97-33.1.fc8.i386
Jul 23 14:02:27 Updated: alsa-utils - 1.0.16-3.fc8.i386
Jul 23 14:02:43 Updated: gdm - 1:2.20.5-3.fc8.i386
Jul 23 14:02:48 Updated: nss-tools - 3.12.0.3-0.8.2.fc8.i386
Jul 23 14:02:50 Updated: mlocate - 0.21-1.fc8.i386
Jul 23 14:02:54 Updated: wpa_supplicant - 1:0.5.10-5.fc8.i386
Jul 23 14:02:58 Updated: xorg-x11-server-Xorg - 1.3.0.0-46.fc8.i386
Jul 23 14:03:00 Updated: fetchmail - 6.3.8-4.fc8.i386
Jul 23 14:03:03 Updated: pm-utils - 0.99.4-19.fc8.i386
Jul 23 14:03:04 Updated: ntfs-3g - 2:1.2712-1.fc8.i386
Jul 23 14:03:27 Updated: firefox - 2.0.0.16-1.fc8.i386
Jul 23 14:03:31 Updated: nspr-devel - 4.7.1-0.8.1.fc8.i386
Jul 23 14:03:36 Updated: nss-devel - 3.12.0.3-0.8.2.fc8.i386
Jul 23 14:03:38 Updated: freetype-devel - 2.3.5-4.fc8.i386
Jul 23 14:03:43 Updated: tzdata-java - 2008d-1.fc8.noarch
Jul 23 14:03:44 Updated: gnome-python2-extras - 2.19.1-16.fc8.i386
Jul 23 14:03:47 Installed: wine-desktop - 1.0-1.fc8.i386
Jul 23 14:03:48 Updated: gd-devel - 2.0.35-3.fc8.i386
Jul 23 14:04:15 Updated: firefox-devel - 2.0.0.16-1.fc8.i386
Jul 23 14:04:16 Updated: beecrypt-devel - 4.1.2-17.fc8.i386
Jul 23 14:04:24 Updated: db4-devel - 4.6.21-2.fc8.i386
Jul 23 14:04:30 Updated: evolution-data-server-devel - 1.12.3-6.fc8.i386
Jul 23 14:04:38 Updated: openldap-devel - 2.3.39-4.fc8.i386
Jul 23 14:04:41 Updated: curl-devel - 7.18.2-1.fc8.i386
Jul 23 14:04:45 Updated: gnutls-devel - 1.6.3-4.fc8.i386
Jul 23 14:04:48 Updated: alsa-lib-devel - 1.0.16-3.fc8.i386
Jul 23 14:04:59 Updated: seamonkey - 1.1.11-1.fc8.i386
Jul 23 14:05:06 Updated: popt-devel - 1.13-4.fc8.i386
Jul 23 14:05:08 Updated: libao - 0.8.8-5.fc8.i386
Jul 23 14:05:09 Updated: iwl4965-firmware - 228.57.2.21-1.noarch
Jul 23 14:05:19 Updated: tzdata - 2008d-1.fc8.noarch
Jul 23 14:05:30 Updated: system-config-date - 1.9.32-1.fc8.noarch
Jul 23 14:05:58 Updated: java-1.7.0-icedtea - 1.7.0.0-0.20.b21.snapshot.fc8.i586
Jul 23 14:06:36 Updated: devhelp - 0.16.1-9.fc8.i386
Jul 23 14:06:37 Updated: java-1.7.0-icedtea-plugin -
1.7.0.0-0.20.b21.snapshot.fc8.i586
Jul 23 14:06:38 Updated: gnome-python2-libegg - 2.19.1-16.fc8.i386
Jul 23 14:06:39 Updated: gnome-python2-gtkhtml2 - 2.19.1-16.fc8.i386
Jul 23 14:07:09 Updated: yelp - 2.20.0-11.fc8.i386
Jul 23 14:07:12 Installed: lcms-libs - 1.17-5.fc8.i386
Jul 23 14:07:13 Updated: perl-libs - 4:5.8.8-40.fc8.i386
Jul 23 14:07:51 Updated: perl - 4:5.8.8-40.fc8.i386
Jul 23 14:07:55 Updated: gstreamer-plugins-base - 0.10.15-4.fc8.i386
Jul 23 14:09:26 Updated: openoffice.org-core - 1:2.3.0-6.15.fc8.i386
Jul 23 14:09:33 Updated: pilot-link - 2:0.12.2-21.fc8.i386
Jul 23 14:09:38 Updated: glib2-devel - 2.14.6-2.fc8.i386
Jul 23 14:09:43 Updated: openoffice.org-calc - 1:2.3.0-6.15.fc8.i386
Jul 23 14:09:44 Updated: openoffice.org-testtools - 1:2.3.0-6.15.fc8.i386
Jul 23 14:09:48 Updated: lm_sensors - 2.10.6-2.fc8.i386
Jul 23 14:09:51 Updated: wine-tools - 1.0-1.fc8.i386
Jul 23 14:09:52 Updated: wine-cms - 1.0-1.fc8.i386
Jul 23 14:09:53 Updated: lcms - 1.17-5.fc8.i386
Jul 23 14:09:56 Updated: openoffice.org-writer - 1:2.3.0-6.15.fc8.i386
Jul 23 14:10:01 Updated: openoffice.org-draw - 1:2.3.0-6.15.fc8.i386
Jul 23 14:10:07 Updated: openoffice.org-impress - 1:2.3.0-6.15.fc8.i386
Jul 23 14:10:07 Updated: openoffice.org-graphicfilter - 1:2.3.0-6.15.fc8.i386
Jul 23 14:10:09 Updated: openoffice.org-math - 1:2.3.0-6.15.fc8.i386
Jul 23 14:10:32 Updated: cups - 1:1.3.7-4.fc8.i386
Jul 23 14:10:37 Updated: mutt - 5:1.5.18-2.fc8.i386
Jul 23 14:10:39 Updated: cvs - 1.11.22-13.fc8.i386
Jul 23 14:11:18 Updated: gimp - 2:2.4.6-1.fc8.i386
Jul 23 14:11:19 Updated: wine - 1.0-1.fc8.i386
Jul 23 14:11:21 Updated: libgtop2-devel - 2.20.2-1.fc8.i386
Jul 23 14:11:22 Updated: pilot-link-devel - 2:0.12.2-21.fc8.i386
Jul 23 14:11:24 Updated: openoffice.org-xsltfilter - 1:2.3.0-6.15.fc8.i386
Jul 23 14:11:26 Updated: openoffice.org-langpack-en - 1:2.3.0-6.15.fc8.i386
Jul 23 14:11:32 Updated: docbook-dtds - 1.0-33.fc8.noarch
Jul 23 14:11:35 Updated: perl-ExtUtils-Embed - 1.26-40.fc8.i386
Jul 23 14:11:37 Updated: perl-devel - 4:5.8.8-40.fc8.i386
Jul 23 14:11:39 Updated: perl-ExtUtils-MakeMaker - 6.30-40.fc8.i386
Jul 23 14:11:40 Updated: perl-Test-Harness - 2.56-40.fc8.i386
Comment 3 Daniel Murrey 2008-07-25 00:26:12 EDT
I'm incredibly new to anything Linux. Loving it so far, but have the same
problem with Haldaemon and the Network Manager, as well as my sound card not
being recognized. I can copy and paste my dump over, maybe that will help?


Component: system-config-network
Version: 1.5.10
Summary: TB0b398516 connection.py:603:call_blocking:DBusException:
org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not
provided by any .service files

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in runit
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
275, in __init__
    self.load()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
300, in load
    self.loadHardware()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
312, in loadHardware
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
447, in updateFromHal
    hal = NCBackendHal.NCBackendHal()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 31,
in __init__
    self.halManagerObj = self._dbusBus.get_object("org.freedesktop.Hal",
"/org/freedesktop/Hal/Manager")
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 240, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 236, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 179, in
activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 277, in
start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 603, in
call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name
org.freedesktop.Hal was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x90d144c>
args: ('org.freedesktop.Hal', 0)
utf8_strings: False
bus_name: org.freedesktop.DBus
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: /org/freedesktop/DBus
timeout: -1.0
signature: su
dbus_interface: org.freedesktop.DBus
message: <dbus.lowlevel.MethodCallMessage object at 0x901d500>
method: StartServiceByName
Comment 4 Daniel Murrey 2008-07-25 00:27:53 EDT
Also could not start Haldaemon manually. haldaemon during boot as well.
Comment 5 Sarah Casewell 2008-07-30 10:53:18 EDT
I also have the same problem.
I reverted to the older version of hal supplied with fc8, but this caused system
crashes.
Having now updated to hal 0.5.10-3fc8, my cd drive, usb memory stick, battery
monitor and sound now do not work. 
If I try to open the network manager I get the error

Component: system-config-network
Version: 1.5.10
Summary: TB0b398516 connection.py:603:call_blocking:DBusException:
org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not
provided by any .service files

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in runit
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
275, in __init__
    self.load()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
300, in load
    self.loadHardware()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
312, in loadHardware
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line
447, in updateFromHal
    hal = NCBackendHal.NCBackendHal()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 31,
in __init__
    self.halManagerObj = self._dbusBus.get_object("org.freedesktop.Hal",
"/org/freedesktop/Hal/Manager")
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 240, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 236, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 179, in
activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 277, in
start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 603, in
call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name
org.freedesktop.Hal was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0xa1ef92c>
args: ('org.freedesktop.Hal', 0)
utf8_strings: False
bus_name: org.freedesktop.DBus
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: /org/freedesktop/DBus
timeout: -1.0
signature: su
dbus_interface: org.freedesktop.DBus
message: <dbus.lowlevel.MethodCallMessage object at 0xa112510>
method: StartServiceByName
Comment 6 Jiri Moskovcak 2008-08-27 10:10:26 EDT
*** Bug 460235 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2008-11-26 06:01:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jiri Moskovcak 2008-11-28 09:27:08 EST

*** This bug has been marked as a duplicate of bug 461115 ***

Note You need to log in before you can comment on or make changes to this bug.